Package org.wso2.carbon.deployment.synchronizer.git.internal

## Class GitRepositoryContext

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.git.internal.GitRepositoryContext

-     public class GitRepositoryContext
      extends Object

  Git Repository Context class. Keeps track of git configurations per tenant.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GitRepositoryContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `cloneExists()` |
    `org.eclipse.jgit.api.Git` | `getGit()` |
    `String` | `getGitLocalRepoPath()` |
    `String` | `getGitRemoteRepoUrl()` |
    `File` | `getGitRepoDir()` |
    `boolean` | `getKeyBasedAuthentication()` |
    `org.eclipse.jgit.lib.Repository` | `getLocalRepo()` |
    `RepositoryInformationServiceClient` | `getRepoInfoServiceClient()` |
    `int` | `getTenantId()` |
    `void` | `setCloneExists​(boolean cloneExists)` |
    `void` | `setGit​(org.eclipse.jgit.api.Git git)` |
    `void` | `setGitLocalRepoPath​(String gitLocalRepoPath)` |
    `void` | `setGitRemoteRepoUrl​(String gitRemoteRepoUrl)` |
    `void` | `setGitRepoDir​(File gitRepoDir)` |
    `void` | `setKeyBasedAuthentication​(boolean keyBasedAuthentication)` |
    `void` | `setLocalRepo​(org.eclipse.jgit.lib.Repository localRepo)` |
    `void` | `setRepoInfoServiceClient​(RepositoryInformationServiceClient repoInfoServiceClient)` |
    `void` | `setTenantId​(int tenantId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GitRepositoryContext

          public GitRepositoryContext()

  - ### Method Detail

    - #### getGitRemoteRepoUrl

          public String getGitRemoteRepoUrl()

    - #### setGitRemoteRepoUrl

          public void setGitRemoteRepoUrl​(String gitRemoteRepoUrl)

    - #### getGitLocalRepoPath

          public String getGitLocalRepoPath()

    - #### setGitLocalRepoPath

          public void setGitLocalRepoPath​(String gitLocalRepoPath)

    - #### getLocalRepo

          public org.eclipse.jgit.lib.Repository getLocalRepo()

    - #### setLocalRepo

          public void setLocalRepo​(org.eclipse.jgit.lib.Repository localRepo)

    - #### getGit

          public org.eclipse.jgit.api.Git getGit()

    - #### setGit

          public void setGit​(org.eclipse.jgit.api.Git git)

    - #### cloneExists

          public boolean cloneExists()

    - #### setCloneExists

          public void setCloneExists​(boolean cloneExists)

    - #### getTenantId

          public int getTenantId()

    - #### setTenantId

          public void setTenantId​(int tenantId)

    - #### getGitRepoDir

          public File getGitRepoDir()

    - #### setGitRepoDir

          public void setGitRepoDir​(File gitRepoDir)

    - #### getRepoInfoServiceClient

          public RepositoryInformationServiceClient getRepoInfoServiceClient()

    - #### setRepoInfoServiceClient

          public void setRepoInfoServiceClient​(RepositoryInformationServiceClient repoInfoServiceClient)

    - #### getKeyBasedAuthentication

          public boolean getKeyBasedAuthentication()

    - #### setKeyBasedAuthentication

          public void setKeyBasedAuthentication​(boolean keyBasedAuthentication)